*,
:before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  --color-one: #f2f2f2;
  --color-two: #f3cd1e;
  --color-three: #81827f;
  --color-four: #e73d10;
  --color-gray: #aab2bd;
  --color-white: #ffffff;
  --color-black: #000000;
  --color-camel: #c19a6b;
  --color-orange: #f39c11;
}

body {
  font-family: 'Roboto', sans-serif;
  line-height: 1.8;
  margin: 0;
}

/* start framework */
.small-box::before {
  content: '';
  position: absolute;
  top: 50%;
  left: -1.5rem;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  width: 1rem;
  height: 1rem;
  -webkit-box-shadow: 3px 3px 4px 1px #ddd;
  box-shadow: 3px 3px 4px 1px #ddd;
}

.bg-gray::before {
  background-color: var(--color-gray);
}

.bg-white::before {
  background-color: var(--color-white);
}

.bg-black::before {
  background-color: var(--color-black);
}

.bg-camel::before {
  background-color: var(--color-camel);
}

.bg-orange::before {
  background-color: var(--color-orange);
}

.pointer {
  cursor: pointer;
}
/* end framework */

span.gray {
  position: relative;
}

.container {
  max-width: 72rem;
  margin: auto;
  padding: 0 1rem;
}

header {
  height: 4rem;
}

header nav ul {
  display: inline-block;
  padding: 0;
  list-style: none;
  font-size: 0.75rem;
  font-weight: 500;
}

section.page {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

main {
  -ms-flex-preferred-size: 75.5%;
  flex-basis: 75.5%;
}

main .cover-image img {
  max-width: 100%;
}

main .result-bar {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 0.5rem;
  background-color: var(--color-one);
  font-size: 0.7rem;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.right {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.right i {
  width: 2rem;
  height: 2rem;
  margin-right: 0.7rem;
  padding: 0.5rem;
  border-radius: 50%;
  color: white;
  text-align: center;
  font-size: 1rem;
}

.right i:nth-child(1) {
  background-color: var(--color-gray);
}

.right i:nth-child(2) {
  background-color: black;
}

.result-bar .filter {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.filter .show {
  margin-right: 1rem;
}

select#sort {
  width: 8.5rem;
}

select#n-show,
select#sort {
  height: 1.5rem;
  border-style: none;
  color: var(--color-three);
}

select#n-show:focus-visible,
select#sort:focus-visible {
  outline: none;
}

.items {
  margin-top: 1.5rem;
}

.items .item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

.items .item .image {
  position: relative;
}

.item .image::before {
  content: '-12%';
  position: absolute;
  top: 0rem;
  right: 0;
  width: 2.2rem;
  height: 2.2rem;
  border-radius: 50%;
  background-color: var(--color-four);
  color: white;
  line-height: 2.2rem;
  text-align: center;
  font-size: 0.6rem;
  font-weight: bold;
}

.items .item .image img {
  width: 11rem;
  margin-top: 2rem;
}

.item .information {
  margin: 1rem 0;
}

.information .rating {
  color: var(--color-two);
  font-size: 0.6rem;
}

.item .information h4 {
  margin: 0.3rem 0;
  font-size: 0.95rem;
  font-weight: 400;
}

.information span.availability {
  display: block;
  font-size: 0.6rem;
  font-weight: 500;
  color: var(--color-three);
}

.information span.previous-price {
  margin-right: 0.3rem;
  color: var(--color-three);
  text-decoration: line-through;
  font-weight: bold;
  font-size: 0.7rem;
}

.information span.actual-price {
  font-size: 0.9rem;
  font-weight: bold;
  color: var(--color-four);
}

.information p.description {
  margin-top: 0;
  font-size: 0.7rem;
  color: var(--color-three);
}

.information ul.links {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin: 0;
  padding: 0;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  -webkit-box-shadow: 0px 0px 2px 0px var(--color-gray);
  box-shadow: 0px 0px 2px 0px var(--color-gray);
  list-style: none;
  color: var(--color-three);
}

ul.links li {
  padding: 0.3rem 0.55rem;
  cursor: pointer;
}

ul.links li:not(:last-child) {
  border-right: 0.5px solid var(--color-one);
}

aside {
  -ms-flex-preferred-size: 23%;
  flex-basis: 23%;
}

ul {
  list-style: none;
}

aside section.clothes {
  margin-bottom: 1.3rem;
}

ul > li {
  position: relative;
}

i.fa-solid.fa-angle-down {
  position: absolute;
  right: 0;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

i.fa-solid.fa-angle-down:first-child {
  top: 14px;
}

section.clothes,
section.color {
  padding: 1rem;
  border: 2px solid #e5e5e5;
}

aside section h4 {
  position: relative;
  margin-top: 0;
  margin-bottom: 2rem;
  font-size: 0.7rem;
  text-transform: uppercase;
}

aside section h4::before {
  content: '';
  position: absolute;
  bottom: -7px;
  width: 2.5rem;
  height: 2px;
  background-color: red;
}

section.clothes > ul {
  padding: 0;
  margin: 0;
  list-style: none;
  font-size: 0.7rem;
  line-height: 2;
  color: #777;
}

section.clothes > ul ul {
  padding: 0 0.7rem;
}

.colors {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}

.colors span {
  position: relative;
  margin-bottom: 0.5rem;
  margin-left: 1.5rem;
  font-size: 0.7rem;
  color: #777;
}

@media screen and (min-width: 460px) {
  .item .information {
    margin-left: 3rem;
  }

  .items .item {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }
}

@media screen and (min-width: 560px) {
  main .result-bar {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
  }
}

@media screen and (min-width: 700px) {
  section.page {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }
}

/* personal footer */

footer {
  margin-top: 2rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  line-height: 1.5;
  text-align: center;
}

.platform {
  font-weight: 500;
  color: #2eca7f;
}

.coder {
  font-weight: 500;
  color: #cf2937;
}

a {
  text-decoration: none;
}
